Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08015 DIP/Input Trivial Always Jun 27, 2021, 00:49 Jun 28, 2021, 13:32
Tester jkburks View Status Public Platform MAME (Official Binary)
Assigned To Steve Coomber Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver chanbara.cpp
Version 0.232 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit a4a2b6e Github Pull Request #
Summary 08015: chanbara: The left and right joystick inputs are reversed
Description In MAME the right stick moves the player and the left stick controls the sword. The instruction card shows that the left joystick is supposed to be wired to player movement. The game uses a pair of 4-way joysticks, but the MAME XML says Chanbara uses 8-way joysticks.
Steps To Reproduce
Additional Information Data East copied the control scheme for Chanbara directly from Karate Dou. They used the same basic chart on the instruction cards.

Karate Dou Instruction Card
http://nyamuko.cocolog-nifty.com/photos/uncategorized/2013/04/14/_k22.jpg
※左は、移動レバー、右は攻撃レバーです。
The left is the movement lever, and the right is the attacking lever.


Chanbara Instruction Card
https://live.staticflickr.com/1709/24712282932_5b0626b7fa_k.jpg
4方向レバー
※左レバーはからだの動き、右レバーは刀の動きです
Four-way lever
Left lever is for body movement, right lever is for sword movement.

Text from the sales flyer
https://www.flyerfever.com/chanbara/
4方向レバー2本で28種類の技を駆使。
Two four-way levers allow you to use 28 different techniques.

I'll attach a cropped version of the Chanbara instruction card photo.
Github Commit
Flags
Regression Version
Affected Sets / Systems chanbara
Attached Files
jpg file icon chanbara_card.jpg (402,444 bytes) Jun 27, 2021, 00:49 Uploaded by jkburks
Chanbara Instruction Card
jkburks
jpg file icon chanbara_card_english.jpg (338,614 bytes) Jun 27, 2021, 01:07 Uploaded by jkburks
Chanbara Instruction Card English Translation
jkburks
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.19044
jkburks
Tester
Jun 27, 2021, 01:10
Chanbara was never released outside of Japan, so there is no real English version of the instructions. I have attached a translated card made from the photo of the Japanese original.